Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-02-2017 20:48:39

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Java 8 depuis les backports ?

Bonsoir,
Je suis sous LMDE 2 Mate (Debian stable donc). J'ai besoin de Java 8 : openjdk-8-jre
Mais dans les dépôts, Debian Stable en reste à Java 7.
Il faut donc aller chercher ça dans les backports, ce que je n'ai jamais fait. J'ai bien trouvé 1 ou 2 liens :

https://wiki.debian.org/fr/Backports#Ut … roportages

https://debian-facile.org/doc:systeme:a … ces.list?s[]=backports

Cela peut s'appliquer sans autres au paquet dont j'ai besoin ?
Et que faire de Java 7 ? J'ai openjdkl-7-jre et d'autres paquets liés qui sont installés. Je vire tout et je remets que les paquets liés à Java 8 ?

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#2 12-02-2017 21:43:08

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Java 8 depuis les backports ?

Bonsoir
Vérifies ton fichier sources.list voir si la ligne des backports est présente

cat /etc/apt/sources.list
 


##DEBIAN Jessie##
deb http://httpredir.debian.org/debian/ jessie main contrib non-free
# deb-src http://httpredir.debian.org/debian/ jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
# deb-src http://security.debian.org/ jessie/updates main contrib non-free
deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free
# deb-src http://httpredir.debian.org/debian/ jessie-updates main contrib non-free

deb http://ftp.debian.org/debian/ jessie-backports non-free contrib main
# deb-src http://ftp.debian.org/debian/ jessie-backports main contrib non-free
 


pour installer un paquet depuis les backports il faut indiquer l'option -t jessie-backports
si tu veux le paquet openjdk-jre

apt-get install openjdk-8-jre -t jessie-backports


avec option -s si tu veux faire une simulation avant

apt-get install -s openjdk-8-jre -t jessie-backports



Par contre je sais pas si faut virer l'ancien


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 12-02-2017 21:52:11

frei
Membre
Lieu : Tours
Distrib. : Sid
Noyau : 4.9.0-1-amd64
(G)UI : Mate+Compiz
Inscription : 06-01-2017
Site Web

Re : Java 8 depuis les backports ?

Tu peux garder les deux si tu en a besoin
Le mieux étant de désinstaller les anciennes versions.

Dans tous les cas ton JAVA_HOME va passer sur la nouvelle version pendant l'installation.
Si

java -version


openjdk version "1.8.0_121"
OpenJDK Runtime Environment (build 1.8.0_121-8u121-b13-3-b13)
OpenJDK 64-Bit Server VM (build 25.121-b13, mixed mode)
 


Et
que tes logiciels java fonctionnent encore
Alors
tu peux supprimer openjdk-7-jre


"Glory. Rotting flower." John Tardy 1989

Hors ligne

#4 13-02-2017 00:53:01

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : Java 8 depuis les backports ?

Merci !
Pour rajouter les backports dans mes sources, je suis passé par Synaptic (j'ai encore mes habitudes de clicouilleur venu de Windows...)
Et je me suis retrouvé embêté ensuite : j'avais des messages d'erreur en essayant d'installer openjdk-8-jre : il fallait réparer d'abord les paquets cassés... Je ne m'en sortais pas.
Du coup, j'ai essayé en ligne de commande et tout fonctionne au poil !
Je suis content, mais je suis dubitatif : pourquoi est-ce que synaptic ne fonctionnait pas ?...

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#5 13-02-2017 07:46:07

frei
Membre
Lieu : Tours
Distrib. : Sid
Noyau : 4.9.0-1-amd64
(G)UI : Mate+Compiz
Inscription : 06-01-2017
Site Web

Re : Java 8 depuis les backports ?

La plupart des gens utilisent apt-get en deux étapes, une pour installer et l'autre pour désinstaller.
Avec synaptic la tendance est au couplage des deux ce qui peut occasionner des cassures.
Cassures qui peuvent aussi apparaître quand tu sélectionnes à la fois le paquet et ses dépendances pour la désinstallation.

En général ne sélectionner que la ligne du paquet à désinstaller (dans ton cas que openjdk-7-jre) et appliquer.
Si des dépendances qu'avaient ton logiciel désinstallé ne sont plus utilisées tu les retrouveras dans la rubrique "état" -> "pouvant être supprimés"

"Glory. Rotting flower." John Tardy 1989

Hors ligne

#6 13-02-2017 09:33:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

Bonjour smile
Synaptic ne fonctionne pas bien si on veut installer paquet des backports à cause de la gestion des dépendances. Tu n'as pas changé les réglages dans Synaptic donc pour installer, il va bien chercher le paquet dans les backports mais pour les dépendances il se limite aux dépôts stables d'où le bazar des paquets cassés. C'est comme la commande

apt-get install paquet/jessie-backports


qui crée les mêmes soucis.
Pour avoir l'équivalent de la commande

apt-get -t jessie-backports install paquet

qui gère bien les dépendances, il faudrait changer temporairement les réglages de Synaptic.
J'éditerai mon message pour donner ces changements mais de toute façon ça devient plus pénible à faire qu'avec le terminal smile
C'est pour ça que bien que cliquer est dans mes habitudes, pour l'installation d'un paquet des backports, je ne me pose pas la question et j'utilise le terminal smile
Tu peux voir un exemple avec libreoffice dans le wiki https://debian-facile.org/doc:systeme:a … n-initiale

Dernière modification par chalu (13-02-2017 09:35:18)

Hors ligne

#7 13-02-2017 10:04:36

Severian
Membre
Distrib. : Debian GNU/Linux 8.7 (jessie)
Noyau : Linux 4.9.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-4
Inscription : 13-12-2014

Re : Java 8 depuis les backports ?

chalu a écrit :

Bonjour smile
Synaptic ne fonctionne pas bien si on veut installer paquet des backports à cause de la gestion des dépendances. Tu n'as pas changé les réglages dans Synaptic donc pour installer, il va bien chercher le paquet dans les backports mais pour les dépendances il se limite aux dépôts stables d'où le bazar des paquets cassés. C'est comme la commande

apt-get install paquet/jessie-backports


qui crée les mêmes soucis.
Pour avoir l'équivalent de la commande

apt-get -t jessie-backports install paquet

qui gère bien les dépendances, il faudrait changer temporairement les réglages de Synaptic.
J'éditerai mon message pour donner ces changements mais de toute façon ça devient plus pénible à faire qu'avec le terminal smile
C'est pour ça que bien que cliquer est dans mes habitudes, pour l'installation d'un paquet des backports, je ne me pose pas la question et j'utilise le terminal smile
Tu peux voir un exemple avec libreoffice dans le wiki https://debian-facile.org/doc:systeme:a … n-initiale



bonjour Chalu smile
tu m'étonne un petit peu
avec synaptic, je fais le test d'installer audacious
version stable 3.5-2, il me choisi les dépendance stable
ensuite je me met dans "filtre personnalisés" -> "changements en file d'attente"
je vois les dépendance pour audacious en version stable
je sélectionne audacious et dans le menu "paquet" je force la version pour les backports, ça me remet la popup pour me prévenir qu'il faut installer plein de dépendances.
au final les dépendances aussi sont passé en backports

(enfin juste pour dire, j'utilise plus aptitude perso tongue)


"il est urgent d'attendre" (bendia)
ob3-de10.pngbanner98x30.png

Hors ligne

#8 13-02-2017 10:26:08

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : Java 8 depuis les backports ?

Bonjour
synaptic c'est pour les mises a jour normale , sinon utilisation de la console pour les missions spéciales  . (backports , modification du sources etc .......   )
Aprés pour des paquets récent il y a l installation de stretch qui va bien aussi tongue   =>  out.gif

Hors ligne

#9 13-02-2017 10:29:58

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

Ça ne se passe pas toujours mal smile C'est comme pour les deux commandes, la première peut se dérouler correctement même si la deuxième est plus sûre pour la gestion des dépendances.
Si tu installes le linux-image-amd64 des backports par exemple, pas de souci. Mais dans d'autres cas, ça ne se passe pas bien. Je rechercherai des situations. Tu as essayé pour Java 8 ?

Hors ligne

#10 13-02-2017 11:16:01

Severian
Membre
Distrib. : Debian GNU/Linux 8.7 (jessie)
Noyau : Linux 4.9.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-4
Inscription : 13-12-2014

Re : Java 8 depuis les backports ?

hummm pour installé java des backports, j'avoue qu'avec synaptic c'est "coton" (c'est faisable, mais il faut savoir quoi chercher) scratchhead.gif

le plus simple reste en terminal

apt-get -s install --no-install-recommends -t jessie-backports openjdk-8-jre


(j'ai laissé le -s pour la simulation)


"il est urgent d'attendre" (bendia)
ob3-de10.pngbanner98x30.png

Hors ligne

#11 13-02-2017 11:17:19

jce76350
Membre
Lieu : Rouen
Distrib. : Debian 8.x Handylinux++ , Debian9_DF linux
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : Java 8 depuis les backports ?

Avec synaptic la tendance est au couplage des deux ce qui peut occasionner des cassures.
Cassures qui peuvent aussi apparaître quand tu sélectionnes à la fois le paquet et ses dépendances pour la désinstallation

.
le message paquets cassés est la conséquence d'un soucis stable/backports (https://bugs.debian.org/cgi-bin/bugrepo … bug=851667)
IL y a un bug sur installation en backports de openjdk-8-jre à cause de openjdk-8-jre-headless qui fait référence à ca-certificates-java qui est en stable en version jessie 20140324, il faut obligatoirement passer ce ca-certificates-java en jessie-backports 20161107~bpo8+1

Hors ligne

#12 13-02-2017 11:36:50

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

Pour illustrer, Severian, mon propos sur Synaptic, par défaut si tu ne modifies pas les réglages, il fonctionne comme la commande install /paquet/jessie-backports où avec audacious tout se passe bien (c'est une simulation mais pas de message d'erreur) :

apt-get -s install audacious/jessie-backports


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Version choisie « 3.7.2-1~bpo8+1 » (Debian Backports:jessie-backports [amd64]) pour « audacious »
Les paquets supplémentaires suivants seront installés :
  audacious-plugins audacious-plugins-data libaudcore3 libaudgui3 libaudqt0
  libaudtag2 libbs2b0 libcue1 libguess1 libqt5multimedia5 libsdl2-2.0-0
  libsidplayfp3 libsndio6.1 libsoxr0
Paquets suggérés :
  sidplayfp sndiod
Les NOUVEAUX paquets suivants seront installés :
  audacious audacious-plugins audacious-plugins-data libaudcore3 libaudgui3
  libaudqt0 libaudtag2 libbs2b0 libcue1 libguess1 libqt5multimedia5
  libsdl2-2.0-0 libsidplayfp3 libsndio6.1 libsoxr0
0 mis à jour, 15 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst libguess1 (1.2-1 Debian:8.7/stable [amd64])
Inst libqt5multimedia5 (5.3.2-5 Debian:8.7/stable [amd64])
Inst libsdl2-2.0-0 (2.0.2+dfsg1-6 Debian:8.7/stable [amd64])
Inst libsndio6.1 (1.1.0-3~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst libsoxr0 (0.1.1-1 Debian:8.7/stable [amd64])
Inst audacious-plugins-data (3.7.2-2~bpo8+1 Debian Backports:jessie-backports [all])
Inst libaudcore3 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst libaudgui3 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst libaudqt0 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst libaudtag2 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst libbs2b0 (3.1.0+dfsg-2.1 Debian:8.7/stable [amd64])
Inst libcue1 (1.4.0-1 Debian:8.7/stable [amd64])
Inst libsidplayfp3 (1.6.0-1 Debian:8.7/stable [amd64])
Inst audacious-plugins (3.7.2-2~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst audacious (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libguess1 (1.2-1 Debian:8.7/stable [amd64])
Conf libqt5multimedia5 (5.3.2-5 Debian:8.7/stable [amd64])
Conf libsdl2-2.0-0 (2.0.2+dfsg1-6 Debian:8.7/stable [amd64])
Conf libsndio6.1 (1.1.0-3~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libsoxr0 (0.1.1-1 Debian:8.7/stable [amd64])
Conf audacious-plugins-data (3.7.2-2~bpo8+1 Debian Backports:jessie-backports [all])
Conf libaudcore3 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libaudgui3 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libaudqt0 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libaudtag2 (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf libbs2b0 (3.1.0+dfsg-2.1 Debian:8.7/stable [amd64])
Conf libcue1 (1.4.0-1 Debian:8.7/stable [amd64])
Conf libsidplayfp3 (1.6.0-1 Debian:8.7/stable [amd64])
Conf audacious-plugins (3.7.2-2~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf audacious (3.7.2-1~bpo8+1 Debian Backports:jessie-backports [amd64])


La même commande avec openjdk-8-jre indique des problèmes

apt-get -s install openjdk-8-jre/jessie-backports


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Version choisie « 8u121-b13-1~bpo8+1 » (Debian Backports:jessie-backports [amd64]) pour « openjdk-8-jre »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 openjdk-8-jre : Dépend: openjdk-8-jre-headless (= 8u121-b13-1~bpo8+1) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 


Donc pour Synaptic ce n'est pas un bug, simplement comme pour la commande ci-dessus, la priorité n'est pas donnée au backports durant l'installation du paquet si on laisse les réglages par défaut de Synaptic. Parfois ça passe mais souvent ça pose problème.
A noter que si tu avais déjà installé sur ton système la version de audacious de stable, je ne suis pas certaine que la mise à jour par Synaptic sur les backports se fasse sans problème mais bon je ne vérifierai pas, je pense que les deux retours ci-dessus aident bien à comprendre ?

Edit : les réglages pour installer un paquet des backports avec Synaptic :
1) Ajouter ou activer le dépôts backport dans le menu : Configuration> Dépôts.
2) Ensuite définir dans le menu : Configuration > Préférences > Onglet Distribution ; cocher la ligne "Préférer les versions de jessie-backports"
3) Faire l'installation du paquet des backports
4) Après l'installation, il y a intérêt à repasser sur la configuration normale sinon on passera tout le système sur les backports wink Il faut donc décocher cocher dans le menu Configuration > Préférences > Onglet Distribution la ligne "Toujours préférer la version plus élevée".
Du coup, c'est carrément plus simple d'utiliser la commande :

apt-get -t jessie-backports install paquet


nettement moins de manipulations à faire.

Hors ligne

#13 13-02-2017 11:57:57

jce76350
Membre
Lieu : Rouen
Distrib. : Debian 8.x Handylinux++ , Debian9_DF linux
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : Java 8 depuis les backports ?

.

chalu a écrit :

openjdk-8-jre : Dépend: openjdk-8-jre-headless (= 8u121-b13-1~bpo8+1) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


ce message est du a une modification de la validité de ca-certificates-java qui juste que fin janvier permettait encore d'installer openjdk-8-jre-headless, mais lors de la mise à jour de openjdk-8-jre-headless a cassé la dépendance.
expérience vécue les mises à jour sur openjdk-8... bouclaient sans arrêt. wink

Hors ligne

#14 13-02-2017 12:04:06

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

J'explique (ou essaie) l'intérêt d'utiliser la commande 2 qui permet de gérer correctement les dépendances et d'installer depuis les backports.

 apt-get -s -t jessie-backports install openjdk-8-jre

     

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  ca-certificates-java openjdk-8-jre-headless
Paquets suggérés :
  icedtea-8-plugin openjdk-8-jre-jamvm libnss-mdns fonts-ipafont-gothic
  fonts-ipafont-mincho ttf-wqy-microhei ttf-wqy-zenhei fonts-indic
Paquets recommandés :
  libgconf2-4
Les NOUVEAUX paquets suivants seront installés :
  openjdk-8-jre openjdk-8-jre-headless
Les paquets suivants seront mis à jour :
  ca-certificates-java
1 mis à jour, 2 nouvellement installés, 0 à enlever et 166 non mis à jour.
Inst ca-certificates-java [20140324] (20161107~bpo8+1 Debian Backports:jessie-backports [all])
Inst openjdk-8-jre-headless (8u121-b13-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Inst openjdk-8-jre (8u121-b13-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf ca-certificates-java (20161107~bpo8+1 Debian Backports:jessie-backports [all])
Conf openjdk-8-jre-headless (8u121-b13-1~bpo8+1 Debian Backports:jessie-backports [amd64])
Conf openjdk-8-jre (8u121-b13-1~bpo8+1 Debian Backports:jessie-backports [amd64])
 


lors de la mise à jour de openjdk-8-jre-headless a cassé la dépendance


dans les retours ici, openjdk-8-jre-headless s'installe avec la deuxième commande sans faire d'histoire et pas avec la première.
Le problème c'est que le paquet ca-certificates-java est déjà installé sur le système pour java7. Les réglages par défaut de Synaptic ou de la première commande install paquet/jessie-backports n'installe pas la version des backports de ce paquet ca-certificates-java car la version installée de stable reste prioritaire d'où le problème de paquet cassé. Alors qu'avec la deuxième commande donnée ci-dessus, comme on le voit ce paquet ca-certificates-java est mis à jour sur les backports et il n'y a donc pas de souci.

A noter que parfois pour mettre à jour des paquets qui ont été installés depuis les backports, on est obligé d'utiliser

apt-get dist-upgrade


ça m'est arrivé avec libreoffice une fois. Mais la plupart du temps, ça passe avec la commande habituelle. D'où l'obligation de bien lire les retours des commandes. smile
C'est indiqué qu'il reste x paquets non mis à jour.

Hors ligne

#15 13-02-2017 14:24:17

frei
Membre
Lieu : Tours
Distrib. : Sid
Noyau : 4.9.0-1-amd64
(G)UI : Mate+Compiz
Inscription : 06-01-2017
Site Web

Re : Java 8 depuis les backports ?

jce76350 a écrit :

Avec synaptic la tendance est au couplage des deux ce qui peut occasionner des cassures.
Cassures qui peuvent aussi apparaître quand tu sélectionnes à la fois le paquet et ses dépendances pour la désinstallation

.
le message paquets cassés est la conséquence d'un soucis stable/backports (https://bugs.debian.org/cgi-bin/bugrepo … bug=851667)
IL y a un bug sur installation en backports de openjdk-8-jre à cause de openjdk-8-jre-headless qui fait référence à ca-certificates-java qui est en stable en version jessie 20140324, il faut obligatoirement passer ce ca-certificates-java en jessie-backports 20161107~bpo8+1



ça se peut smile
J'ai le cas parfois sur sid


"Glory. Rotting flower." John Tardy 1989

Hors ligne

#16 16-02-2017 23:37:32

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : Java 8 depuis les backports ?

J'avoue être dépassé par la discussion.
Mais il est clair que ça me motive à me mettre un peu plus à l'apprentissage du terminal, histoire de bien comprendre ce qu'il y a sous le capot et éviter ce genre de problèmes.

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#17 17-02-2017 09:50:33

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

Ah zut moi qui pensait être claire avec mes exemples lol

Hors ligne

#18 17-02-2017 13:55:56

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : Java 8 depuis les backports ?

Ben disons qu'à ce stade je retiens surtout que les applications en mode graphique, c'est bien pour l'utilisation de base. Mais dès que ça se complique, il vaut mieux se fier à la bonne vieille ligne de commande.

Question : Qu'en est-il des mises à jour des paquets provenant dans les backports ?
Est-ce qu'une mise-à-jour à partir de Synaptic peut elle aussi "déconner" ?
Je suis sous LMDE. Donc, les mises à jour sont proposées automatiquement par l'outil dédié, une application graphique qui, si j'ai bien compris, est liée à Synaptic; c'est ce que j'utilise. Est-ce que je risque aussi de me faire embêter à la longue et d'avoir le même genre de soucis que lors de ma tentative d'installation ?

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#19 17-02-2017 14:59:22

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Java 8 depuis les backports ?

Synaptic mettra à jour les paquets des backports si tu laisses ce dépôt activé. Je n'ai pas eu de problème jusqu'à présent.
Je ne connais pas l'outil de lmde

Hors ligne

Pied de page des forums